#/usr/bin/pdksh
#
# merge_data.sh [TAG] [LOG_DATE]  - This script merges the data into one file.
#    You may pass TAG on the command-line or set environment variable TAG prior to running this script.
#    You may pass LOG_DATE on the command-line or set environment variable LOG_DATE prior to running this script.
#    $TAG = the suffix on the end of the datafiles to be merged.
#    $LOG_DATE = the suffix no the end of the directory containing the datafiles to be merged.
#
# uncomment the following line for debugging
# set -x
#
export P1=$1
if [[ $P1"x" == "x" ]] ; then
  echo "TAG not passed on command-line."
else
  export TAG=$P1
fi
if [[ $TAG"x" == "x" ]] ; then
  echo "TAG was not set in the environment...exiting."
  exit
fi
echo "TAG="$TAG
#
export P2=$2
if [[ $P2"x" == "x" ]] ; then
  echo "LOG_DATE not passed on command-line."
else
  export LOG_DATE=$P2
fi
if [[ $LOG_DATE"x" == "x" ]] ; then
  echo "LOG_DATE was not set in the environment...using TODAY."
  LOG_DATE=`date +%Y-%m-%d`
fi
echo "LOG_DATE="$LOG_DATE
#
cd logs.${LOG_DATE}
> ${TAG}.merged
ls -al *_${TAG}|awk '{print $9}'|while read fname
do
  hid=`echo ${fname}|awk -F_ '{print $1}'`
  uid=`echo ${fname}|awk -F_ '{print $2}'`
  sed "s/^/${hid}[${uid}]=/" ${fname} >> ${TAG}.merged
done
echo "--- Data Merge Complete ---"
echo "Results are in logs.${LOG_DATE}/${TAG}.merged"
